"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShardingRepositoryService = void 0;
class ShardingRepositoryService {
    constructor(shardingEntityType) {
        this.shardingEntityType = shardingEntityType;
    }
    create(entityLike) {
        return this.shardingEntityType.create(entityLike);
    }
    save(entities, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.save(entities, options);
        });
    }
    remove(entities, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.remove(entities, options);
        });
    }
    softRemove(entities, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.softRemove(entities, options);
        });
    }
    update(criteria, partialEntity, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.update(criteria, partialEntity, shardingKey);
        });
    }
    delete(criteria, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.delete(criteria, shardingKey);
        });
    }
    count(options, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.count(options, shardingKey);
        });
    }
    countBy(where, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.countBy(where, shardingKey);
        });
    }
    find(options, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.find(options, shardingKey);
        });
    }
    findBy(where, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.findBy(where, shardingKey);
        });
    }
    findAndCount(options, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.findAndCount(options, shardingKey);
        });
    }
    findAndCountBy(where, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.findAndCountBy(where, shardingKey);
        });
    }
    findByIds(ids, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.findByIds(ids, shardingKey);
        });
    }
    findOneById(id, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.findOneById(id, shardingKey);
        });
    }
    findOne(options, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.findOne(options, shardingKey);
        });
    }
    findOneBy(where, shardingKey) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.shardingEntityType.findOneBy(where, shardingKey);
        });
    }
}
exports.ShardingRepositoryService = ShardingRepositoryService;
